/*******************************************************************************
* File Name: cyfitter.h
* 
* PSoC Creator  4.4
*
* Description:
* 
* This file is automatically generated by PSoC Creator.
*
********************************************************************************
* Copyright (c) 2007-2020 Cypress Semiconductor.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice_trm.h"

/* UART */
#define UART_tx__0__DM__MASK 0x38u
#define UART_tx__0__DM__SHIFT 3u
#define UART_tx__0__DR CYREG_PRT3_DR
#define UART_tx__0__HSIOM CYREG_HSIOM_PORT_SEL3
#define UART_tx__0__HSIOM_MASK 0x000000F0u
#define UART_tx__0__HSIOM_SHIFT 4u
#define UART_tx__0__INTCFG CYREG_PRT3_INTCFG
#define UART_tx__0__INTSTAT CYREG_PRT3_INTSTAT
#define UART_tx__0__MASK 0x02u
#define UART_tx__0__PA__CFG0 CYREG_UDB_PA3_CFG0
#define UART_tx__0__PA__CFG1 CYREG_UDB_PA3_CFG1
#define UART_tx__0__PA__CFG10 CYREG_UDB_PA3_CFG10
#define UART_tx__0__PA__CFG11 CYREG_UDB_PA3_CFG11
#define UART_tx__0__PA__CFG12 CYREG_UDB_PA3_CFG12
#define UART_tx__0__PA__CFG13 CYREG_UDB_PA3_CFG13
#define UART_tx__0__PA__CFG14 CYREG_UDB_PA3_CFG14
#define UART_tx__0__PA__CFG2 CYREG_UDB_PA3_CFG2
#define UART_tx__0__PA__CFG3 CYREG_UDB_PA3_CFG3
#define UART_tx__0__PA__CFG4 CYREG_UDB_PA3_CFG4
#define UART_tx__0__PA__CFG5 CYREG_UDB_PA3_CFG5
#define UART_tx__0__PA__CFG6 CYREG_UDB_PA3_CFG6
#define UART_tx__0__PA__CFG7 CYREG_UDB_PA3_CFG7
#define UART_tx__0__PA__CFG8 CYREG_UDB_PA3_CFG8
#define UART_tx__0__PA__CFG9 CYREG_UDB_PA3_CFG9
#define UART_tx__0__PC CYREG_PRT3_PC
#define UART_tx__0__PC2 CYREG_PRT3_PC2
#define UART_tx__0__PORT 3u
#define UART_tx__0__PS CYREG_PRT3_PS
#define UART_tx__0__SHIFT 1u
#define UART_tx__DR CYREG_PRT3_DR
#define UART_tx__INTCFG CYREG_PRT3_INTCFG
#define UART_tx__INTSTAT CYREG_PRT3_INTSTAT
#define UART_tx__MASK 0x02u
#define UART_tx__PA__CFG0 CYREG_UDB_PA3_CFG0
#define UART_tx__PA__CFG1 CYREG_UDB_PA3_CFG1
#define UART_tx__PA__CFG10 CYREG_UDB_PA3_CFG10
#define UART_tx__PA__CFG11 CYREG_UDB_PA3_CFG11
#define UART_tx__PA__CFG12 CYREG_UDB_PA3_CFG12
#define UART_tx__PA__CFG13 CYREG_UDB_PA3_CFG13
#define UART_tx__PA__CFG14 CYREG_UDB_PA3_CFG14
#define UART_tx__PA__CFG2 CYREG_UDB_PA3_CFG2
#define UART_tx__PA__CFG3 CYREG_UDB_PA3_CFG3
#define UART_tx__PA__CFG4 CYREG_UDB_PA3_CFG4
#define UART_tx__PA__CFG5 CYREG_UDB_PA3_CFG5
#define UART_tx__PA__CFG6 CYREG_UDB_PA3_CFG6
#define UART_tx__PA__CFG7 CYREG_UDB_PA3_CFG7
#define UART_tx__PA__CFG8 CYREG_UDB_PA3_CFG8
#define UART_tx__PA__CFG9 CYREG_UDB_PA3_CFG9
#define UART_tx__PC CYREG_PRT3_PC
#define UART_tx__PC2 CYREG_PRT3_PC2
#define UART_tx__PORT 3u
#define UART_tx__PS CYREG_PRT3_PS
#define UART_tx__SHIFT 1u

/* Flex1 */
#define Flex1__0__DM__MASK 0x1C0000u
#define Flex1__0__DM__SHIFT 18u
#define Flex1__0__DR CYREG_PRT2_DR
#define Flex1__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define Flex1__0__HSIOM_MASK 0x0F000000u
#define Flex1__0__HSIOM_SHIFT 24u
#define Flex1__0__INTCFG CYREG_PRT2_INTCFG
#define Flex1__0__INTSTAT CYREG_PRT2_INTSTAT
#define Flex1__0__MASK 0x40u
#define Flex1__0__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex1__0__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex1__0__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex1__0__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex1__0__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex1__0__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex1__0__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex1__0__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex1__0__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex1__0__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex1__0__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex1__0__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex1__0__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex1__0__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex1__0__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex1__0__PC CYREG_PRT2_PC
#define Flex1__0__PC2 CYREG_PRT2_PC2
#define Flex1__0__PORT 2u
#define Flex1__0__PS CYREG_PRT2_PS
#define Flex1__0__SHIFT 6u
#define Flex1__DR CYREG_PRT2_DR
#define Flex1__INTCFG CYREG_PRT2_INTCFG
#define Flex1__INTSTAT CYREG_PRT2_INTSTAT
#define Flex1__MASK 0x40u
#define Flex1__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex1__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex1__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex1__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex1__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex1__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex1__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex1__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex1__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex1__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex1__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex1__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex1__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex1__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex1__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex1__PC CYREG_PRT2_PC
#define Flex1__PC2 CYREG_PRT2_PC2
#define Flex1__PORT 2u
#define Flex1__PS CYREG_PRT2_PS
#define Flex1__SHIFT 6u

/* Flex2 */
#define Flex2__0__DM__MASK 0xE00000u
#define Flex2__0__DM__SHIFT 21u
#define Flex2__0__DR CYREG_PRT2_DR
#define Flex2__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define Flex2__0__HSIOM_MASK 0xF0000000u
#define Flex2__0__HSIOM_SHIFT 28u
#define Flex2__0__INTCFG CYREG_PRT2_INTCFG
#define Flex2__0__INTSTAT CYREG_PRT2_INTSTAT
#define Flex2__0__MASK 0x80u
#define Flex2__0__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex2__0__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex2__0__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex2__0__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex2__0__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex2__0__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex2__0__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex2__0__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex2__0__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex2__0__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex2__0__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex2__0__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex2__0__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex2__0__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex2__0__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex2__0__PC CYREG_PRT2_PC
#define Flex2__0__PC2 CYREG_PRT2_PC2
#define Flex2__0__PORT 2u
#define Flex2__0__PS CYREG_PRT2_PS
#define Flex2__0__SHIFT 7u
#define Flex2__DR CYREG_PRT2_DR
#define Flex2__INTCFG CYREG_PRT2_INTCFG
#define Flex2__INTSTAT CYREG_PRT2_INTSTAT
#define Flex2__MASK 0x80u
#define Flex2__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex2__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex2__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex2__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex2__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex2__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex2__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex2__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex2__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex2__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex2__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex2__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex2__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex2__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex2__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex2__PC CYREG_PRT2_PC
#define Flex2__PC2 CYREG_PRT2_PC2
#define Flex2__PORT 2u
#define Flex2__PS CYREG_PRT2_PS
#define Flex2__SHIFT 7u

/* Flex3 */
#define Flex3__0__DM__MASK 0x38000u
#define Flex3__0__DM__SHIFT 15u
#define Flex3__0__DR CYREG_PRT2_DR
#define Flex3__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define Flex3__0__HSIOM_MASK 0x00F00000u
#define Flex3__0__HSIOM_SHIFT 20u
#define Flex3__0__INTCFG CYREG_PRT2_INTCFG
#define Flex3__0__INTSTAT CYREG_PRT2_INTSTAT
#define Flex3__0__MASK 0x20u
#define Flex3__0__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex3__0__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex3__0__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex3__0__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex3__0__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex3__0__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex3__0__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex3__0__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex3__0__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex3__0__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex3__0__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex3__0__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex3__0__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex3__0__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex3__0__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex3__0__PC CYREG_PRT2_PC
#define Flex3__0__PC2 CYREG_PRT2_PC2
#define Flex3__0__PORT 2u
#define Flex3__0__PS CYREG_PRT2_PS
#define Flex3__0__SHIFT 5u
#define Flex3__DR CYREG_PRT2_DR
#define Flex3__INTCFG CYREG_PRT2_INTCFG
#define Flex3__INTSTAT CYREG_PRT2_INTSTAT
#define Flex3__MASK 0x20u
#define Flex3__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex3__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex3__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex3__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex3__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex3__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex3__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex3__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex3__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex3__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex3__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex3__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex3__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex3__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex3__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex3__PC CYREG_PRT2_PC
#define Flex3__PC2 CYREG_PRT2_PC2
#define Flex3__PORT 2u
#define Flex3__PS CYREG_PRT2_PS
#define Flex3__SHIFT 5u

/* Flex4 */
#define Flex4__0__DM__MASK 0x7000u
#define Flex4__0__DM__SHIFT 12u
#define Flex4__0__DR CYREG_PRT2_DR
#define Flex4__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define Flex4__0__HSIOM_MASK 0x000F0000u
#define Flex4__0__HSIOM_SHIFT 16u
#define Flex4__0__INTCFG CYREG_PRT2_INTCFG
#define Flex4__0__INTSTAT CYREG_PRT2_INTSTAT
#define Flex4__0__MASK 0x10u
#define Flex4__0__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex4__0__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex4__0__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex4__0__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex4__0__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex4__0__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex4__0__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex4__0__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex4__0__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex4__0__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex4__0__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex4__0__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex4__0__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex4__0__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex4__0__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex4__0__PC CYREG_PRT2_PC
#define Flex4__0__PC2 CYREG_PRT2_PC2
#define Flex4__0__PORT 2u
#define Flex4__0__PS CYREG_PRT2_PS
#define Flex4__0__SHIFT 4u
#define Flex4__DR CYREG_PRT2_DR
#define Flex4__INTCFG CYREG_PRT2_INTCFG
#define Flex4__INTSTAT CYREG_PRT2_INTSTAT
#define Flex4__MASK 0x10u
#define Flex4__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex4__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex4__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex4__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex4__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex4__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex4__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex4__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex4__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex4__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex4__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex4__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex4__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex4__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex4__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex4__PC CYREG_PRT2_PC
#define Flex4__PC2 CYREG_PRT2_PC2
#define Flex4__PORT 2u
#define Flex4__PS CYREG_PRT2_PS
#define Flex4__SHIFT 4u

/* Flex5 */
#define Flex5__0__DM__MASK 0x07u
#define Flex5__0__DM__SHIFT 0u
#define Flex5__0__DR CYREG_PRT0_DR
#define Flex5__0__HSIOM CYREG_HSIOM_PORT_SEL0
#define Flex5__0__HSIOM_MASK 0x0000000Fu
#define Flex5__0__HSIOM_SHIFT 0u
#define Flex5__0__INTCFG CYREG_PRT0_INTCFG
#define Flex5__0__INTSTAT CYREG_PRT0_INTSTAT
#define Flex5__0__MASK 0x01u
#define Flex5__0__OUT_SEL CYREG_UDB_PA0_CFG10
#define Flex5__0__OUT_SEL_SHIFT 0u
#define Flex5__0__OUT_SEL_VAL 1u
#define Flex5__0__PA__CFG0 CYREG_UDB_PA0_CFG0
#define Flex5__0__PA__CFG1 CYREG_UDB_PA0_CFG1
#define Flex5__0__PA__CFG10 CYREG_UDB_PA0_CFG10
#define Flex5__0__PA__CFG11 CYREG_UDB_PA0_CFG11
#define Flex5__0__PA__CFG12 CYREG_UDB_PA0_CFG12
#define Flex5__0__PA__CFG13 CYREG_UDB_PA0_CFG13
#define Flex5__0__PA__CFG14 CYREG_UDB_PA0_CFG14
#define Flex5__0__PA__CFG2 CYREG_UDB_PA0_CFG2
#define Flex5__0__PA__CFG3 CYREG_UDB_PA0_CFG3
#define Flex5__0__PA__CFG4 CYREG_UDB_PA0_CFG4
#define Flex5__0__PA__CFG5 CYREG_UDB_PA0_CFG5
#define Flex5__0__PA__CFG6 CYREG_UDB_PA0_CFG6
#define Flex5__0__PA__CFG7 CYREG_UDB_PA0_CFG7
#define Flex5__0__PA__CFG8 CYREG_UDB_PA0_CFG8
#define Flex5__0__PA__CFG9 CYREG_UDB_PA0_CFG9
#define Flex5__0__PC CYREG_PRT0_PC
#define Flex5__0__PC2 CYREG_PRT0_PC2
#define Flex5__0__PORT 0u
#define Flex5__0__PS CYREG_PRT0_PS
#define Flex5__0__SHIFT 0u
#define Flex5__DR CYREG_PRT0_DR
#define Flex5__INTCFG CYREG_PRT0_INTCFG
#define Flex5__INTSTAT CYREG_PRT0_INTSTAT
#define Flex5__MASK 0x01u
#define Flex5__PA__CFG0 CYREG_UDB_PA0_CFG0
#define Flex5__PA__CFG1 CYREG_UDB_PA0_CFG1
#define Flex5__PA__CFG10 CYREG_UDB_PA0_CFG10
#define Flex5__PA__CFG11 CYREG_UDB_PA0_CFG11
#define Flex5__PA__CFG12 CYREG_UDB_PA0_CFG12
#define Flex5__PA__CFG13 CYREG_UDB_PA0_CFG13
#define Flex5__PA__CFG14 CYREG_UDB_PA0_CFG14
#define Flex5__PA__CFG2 CYREG_UDB_PA0_CFG2
#define Flex5__PA__CFG3 CYREG_UDB_PA0_CFG3
#define Flex5__PA__CFG4 CYREG_UDB_PA0_CFG4
#define Flex5__PA__CFG5 CYREG_UDB_PA0_CFG5
#define Flex5__PA__CFG6 CYREG_UDB_PA0_CFG6
#define Flex5__PA__CFG7 CYREG_UDB_PA0_CFG7
#define Flex5__PA__CFG8 CYREG_UDB_PA0_CFG8
#define Flex5__PA__CFG9 CYREG_UDB_PA0_CFG9
#define Flex5__PC CYREG_PRT0_PC
#define Flex5__PC2 CYREG_PRT0_PC2
#define Flex5__PORT 0u
#define Flex5__PS CYREG_PRT0_PS
#define Flex5__SHIFT 0u

/* Flex6 */
#define Flex6__0__DM__MASK 0x38u
#define Flex6__0__DM__SHIFT 3u
#define Flex6__0__DR CYREG_PRT1_DR
#define Flex6__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define Flex6__0__HSIOM_MASK 0x000000F0u
#define Flex6__0__HSIOM_SHIFT 4u
#define Flex6__0__INTCFG CYREG_PRT1_INTCFG
#define Flex6__0__INTSTAT CYREG_PRT1_INTSTAT
#define Flex6__0__MASK 0x02u
#define Flex6__0__OUT_SEL CYREG_UDB_PA1_CFG10
#define Flex6__0__OUT_SEL_SHIFT 2u
#define Flex6__0__OUT_SEL_VAL 3u
#define Flex6__0__PA__CFG0 CYREG_UDB_PA1_CFG0
#define Flex6__0__PA__CFG1 CYREG_UDB_PA1_CFG1
#define Flex6__0__PA__CFG10 CYREG_UDB_PA1_CFG10
#define Flex6__0__PA__CFG11 CYREG_UDB_PA1_CFG11
#define Flex6__0__PA__CFG12 CYREG_UDB_PA1_CFG12
#define Flex6__0__PA__CFG13 CYREG_UDB_PA1_CFG13
#define Flex6__0__PA__CFG14 CYREG_UDB_PA1_CFG14
#define Flex6__0__PA__CFG2 CYREG_UDB_PA1_CFG2
#define Flex6__0__PA__CFG3 CYREG_UDB_PA1_CFG3
#define Flex6__0__PA__CFG4 CYREG_UDB_PA1_CFG4
#define Flex6__0__PA__CFG5 CYREG_UDB_PA1_CFG5
#define Flex6__0__PA__CFG6 CYREG_UDB_PA1_CFG6
#define Flex6__0__PA__CFG7 CYREG_UDB_PA1_CFG7
#define Flex6__0__PA__CFG8 CYREG_UDB_PA1_CFG8
#define Flex6__0__PA__CFG9 CYREG_UDB_PA1_CFG9
#define Flex6__0__PC CYREG_PRT1_PC
#define Flex6__0__PC2 CYREG_PRT1_PC2
#define Flex6__0__PORT 1u
#define Flex6__0__PS CYREG_PRT1_PS
#define Flex6__0__SHIFT 1u
#define Flex6__DR CYREG_PRT1_DR
#define Flex6__INTCFG CYREG_PRT1_INTCFG
#define Flex6__INTSTAT CYREG_PRT1_INTSTAT
#define Flex6__MASK 0x02u
#define Flex6__PA__CFG0 CYREG_UDB_PA1_CFG0
#define Flex6__PA__CFG1 CYREG_UDB_PA1_CFG1
#define Flex6__PA__CFG10 CYREG_UDB_PA1_CFG10
#define Flex6__PA__CFG11 CYREG_UDB_PA1_CFG11
#define Flex6__PA__CFG12 CYREG_UDB_PA1_CFG12
#define Flex6__PA__CFG13 CYREG_UDB_PA1_CFG13
#define Flex6__PA__CFG14 CYREG_UDB_PA1_CFG14
#define Flex6__PA__CFG2 CYREG_UDB_PA1_CFG2
#define Flex6__PA__CFG3 CYREG_UDB_PA1_CFG3
#define Flex6__PA__CFG4 CYREG_UDB_PA1_CFG4
#define Flex6__PA__CFG5 CYREG_UDB_PA1_CFG5
#define Flex6__PA__CFG6 CYREG_UDB_PA1_CFG6
#define Flex6__PA__CFG7 CYREG_UDB_PA1_CFG7
#define Flex6__PA__CFG8 CYREG_UDB_PA1_CFG8
#define Flex6__PA__CFG9 CYREG_UDB_PA1_CFG9
#define Flex6__PC CYREG_PRT1_PC
#define Flex6__PC2 CYREG_PRT1_PC2
#define Flex6__PORT 1u
#define Flex6__PS CYREG_PRT1_PS
#define Flex6__SHIFT 1u

/* Flex7 */
#define Flex7__0__DM__MASK 0x38u
#define Flex7__0__DM__SHIFT 3u
#define Flex7__0__DR CYREG_PRT0_DR
#define Flex7__0__HSIOM CYREG_HSIOM_PORT_SEL0
#define Flex7__0__HSIOM_MASK 0x000000F0u
#define Flex7__0__HSIOM_SHIFT 4u
#define Flex7__0__INTCFG CYREG_PRT0_INTCFG
#define Flex7__0__INTSTAT CYREG_PRT0_INTSTAT
#define Flex7__0__MASK 0x02u
#define Flex7__0__OUT_SEL CYREG_UDB_PA0_CFG10
#define Flex7__0__OUT_SEL_SHIFT 2u
#define Flex7__0__OUT_SEL_VAL 1u
#define Flex7__0__PA__CFG0 CYREG_UDB_PA0_CFG0
#define Flex7__0__PA__CFG1 CYREG_UDB_PA0_CFG1
#define Flex7__0__PA__CFG10 CYREG_UDB_PA0_CFG10
#define Flex7__0__PA__CFG11 CYREG_UDB_PA0_CFG11
#define Flex7__0__PA__CFG12 CYREG_UDB_PA0_CFG12
#define Flex7__0__PA__CFG13 CYREG_UDB_PA0_CFG13
#define Flex7__0__PA__CFG14 CYREG_UDB_PA0_CFG14
#define Flex7__0__PA__CFG2 CYREG_UDB_PA0_CFG2
#define Flex7__0__PA__CFG3 CYREG_UDB_PA0_CFG3
#define Flex7__0__PA__CFG4 CYREG_UDB_PA0_CFG4
#define Flex7__0__PA__CFG5 CYREG_UDB_PA0_CFG5
#define Flex7__0__PA__CFG6 CYREG_UDB_PA0_CFG6
#define Flex7__0__PA__CFG7 CYREG_UDB_PA0_CFG7
#define Flex7__0__PA__CFG8 CYREG_UDB_PA0_CFG8
#define Flex7__0__PA__CFG9 CYREG_UDB_PA0_CFG9
#define Flex7__0__PC CYREG_PRT0_PC
#define Flex7__0__PC2 CYREG_PRT0_PC2
#define Flex7__0__PORT 0u
#define Flex7__0__PS CYREG_PRT0_PS
#define Flex7__0__SHIFT 1u
#define Flex7__DR CYREG_PRT0_DR
#define Flex7__INTCFG CYREG_PRT0_INTCFG
#define Flex7__INTSTAT CYREG_PRT0_INTSTAT
#define Flex7__MASK 0x02u
#define Flex7__PA__CFG0 CYREG_UDB_PA0_CFG0
#define Flex7__PA__CFG1 CYREG_UDB_PA0_CFG1
#define Flex7__PA__CFG10 CYREG_UDB_PA0_CFG10
#define Flex7__PA__CFG11 CYREG_UDB_PA0_CFG11
#define Flex7__PA__CFG12 CYREG_UDB_PA0_CFG12
#define Flex7__PA__CFG13 CYREG_UDB_PA0_CFG13
#define Flex7__PA__CFG14 CYREG_UDB_PA0_CFG14
#define Flex7__PA__CFG2 CYREG_UDB_PA0_CFG2
#define Flex7__PA__CFG3 CYREG_UDB_PA0_CFG3
#define Flex7__PA__CFG4 CYREG_UDB_PA0_CFG4
#define Flex7__PA__CFG5 CYREG_UDB_PA0_CFG5
#define Flex7__PA__CFG6 CYREG_UDB_PA0_CFG6
#define Flex7__PA__CFG7 CYREG_UDB_PA0_CFG7
#define Flex7__PA__CFG8 CYREG_UDB_PA0_CFG8
#define Flex7__PA__CFG9 CYREG_UDB_PA0_CFG9
#define Flex7__PC CYREG_PRT0_PC
#define Flex7__PC2 CYREG_PRT0_PC2
#define Flex7__PORT 0u
#define Flex7__PS CYREG_PRT0_PS
#define Flex7__SHIFT 1u

/* Flex8 */
#define Flex8__0__DM__MASK 0x1C0u
#define Flex8__0__DM__SHIFT 6u
#define Flex8__0__DR CYREG_PRT1_DR
#define Flex8__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define Flex8__0__HSIOM_MASK 0x00000F00u
#define Flex8__0__HSIOM_SHIFT 8u
#define Flex8__0__INTCFG CYREG_PRT1_INTCFG
#define Flex8__0__INTSTAT CYREG_PRT1_INTSTAT
#define Flex8__0__MASK 0x04u
#define Flex8__0__OUT_SEL CYREG_UDB_PA1_CFG10
#define Flex8__0__OUT_SEL_SHIFT 4u
#define Flex8__0__OUT_SEL_VAL 3u
#define Flex8__0__PA__CFG0 CYREG_UDB_PA1_CFG0
#define Flex8__0__PA__CFG1 CYREG_UDB_PA1_CFG1
#define Flex8__0__PA__CFG10 CYREG_UDB_PA1_CFG10
#define Flex8__0__PA__CFG11 CYREG_UDB_PA1_CFG11
#define Flex8__0__PA__CFG12 CYREG_UDB_PA1_CFG12
#define Flex8__0__PA__CFG13 CYREG_UDB_PA1_CFG13
#define Flex8__0__PA__CFG14 CYREG_UDB_PA1_CFG14
#define Flex8__0__PA__CFG2 CYREG_UDB_PA1_CFG2
#define Flex8__0__PA__CFG3 CYREG_UDB_PA1_CFG3
#define Flex8__0__PA__CFG4 CYREG_UDB_PA1_CFG4
#define Flex8__0__PA__CFG5 CYREG_UDB_PA1_CFG5
#define Flex8__0__PA__CFG6 CYREG_UDB_PA1_CFG6
#define Flex8__0__PA__CFG7 CYREG_UDB_PA1_CFG7
#define Flex8__0__PA__CFG8 CYREG_UDB_PA1_CFG8
#define Flex8__0__PA__CFG9 CYREG_UDB_PA1_CFG9
#define Flex8__0__PC CYREG_PRT1_PC
#define Flex8__0__PC2 CYREG_PRT1_PC2
#define Flex8__0__PORT 1u
#define Flex8__0__PS CYREG_PRT1_PS
#define Flex8__0__SHIFT 2u
#define Flex8__DR CYREG_PRT1_DR
#define Flex8__INTCFG CYREG_PRT1_INTCFG
#define Flex8__INTSTAT CYREG_PRT1_INTSTAT
#define Flex8__MASK 0x04u
#define Flex8__PA__CFG0 CYREG_UDB_PA1_CFG0
#define Flex8__PA__CFG1 CYREG_UDB_PA1_CFG1
#define Flex8__PA__CFG10 CYREG_UDB_PA1_CFG10
#define Flex8__PA__CFG11 CYREG_UDB_PA1_CFG11
#define Flex8__PA__CFG12 CYREG_UDB_PA1_CFG12
#define Flex8__PA__CFG13 CYREG_UDB_PA1_CFG13
#define Flex8__PA__CFG14 CYREG_UDB_PA1_CFG14
#define Flex8__PA__CFG2 CYREG_UDB_PA1_CFG2
#define Flex8__PA__CFG3 CYREG_UDB_PA1_CFG3
#define Flex8__PA__CFG4 CYREG_UDB_PA1_CFG4
#define Flex8__PA__CFG5 CYREG_UDB_PA1_CFG5
#define Flex8__PA__CFG6 CYREG_UDB_PA1_CFG6
#define Flex8__PA__CFG7 CYREG_UDB_PA1_CFG7
#define Flex8__PA__CFG8 CYREG_UDB_PA1_CFG8
#define Flex8__PA__CFG9 CYREG_UDB_PA1_CFG9
#define Flex8__PC CYREG_PRT1_PC
#define Flex8__PC2 CYREG_PRT1_PC2
#define Flex8__PORT 1u
#define Flex8__PS CYREG_PRT1_PS
#define Flex8__SHIFT 2u

/* Flex9 */
#define Flex9__0__DM__MASK 0x1C0u
#define Flex9__0__DM__SHIFT 6u
#define Flex9__0__DR CYREG_PRT2_DR
#define Flex9__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define Flex9__0__HSIOM_MASK 0x00000F00u
#define Flex9__0__HSIOM_SHIFT 8u
#define Flex9__0__INTCFG CYREG_PRT2_INTCFG
#define Flex9__0__INTSTAT CYREG_PRT2_INTSTAT
#define Flex9__0__MASK 0x04u
#define Flex9__0__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex9__0__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex9__0__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex9__0__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex9__0__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex9__0__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex9__0__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex9__0__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex9__0__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex9__0__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex9__0__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex9__0__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex9__0__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex9__0__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex9__0__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex9__0__PC CYREG_PRT2_PC
#define Flex9__0__PC2 CYREG_PRT2_PC2
#define Flex9__0__PORT 2u
#define Flex9__0__PS CYREG_PRT2_PS
#define Flex9__0__SHIFT 2u
#define Flex9__DR CYREG_PRT2_DR
#define Flex9__INTCFG CYREG_PRT2_INTCFG
#define Flex9__INTSTAT CYREG_PRT2_INTSTAT
#define Flex9__MASK 0x04u
#define Flex9__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex9__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex9__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex9__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex9__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex9__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex9__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex9__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex9__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex9__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex9__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex9__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex9__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex9__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex9__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex9__PC CYREG_PRT2_PC
#define Flex9__PC2 CYREG_PRT2_PC2
#define Flex9__PORT 2u
#define Flex9__PS CYREG_PRT2_PS
#define Flex9__SHIFT 2u

/* Flex10 */
#define Flex10__0__DM__MASK 0xE00u
#define Flex10__0__DM__SHIFT 9u
#define Flex10__0__DR CYREG_PRT2_DR
#define Flex10__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define Flex10__0__HSIOM_MASK 0x0000F000u
#define Flex10__0__HSIOM_SHIFT 12u
#define Flex10__0__INTCFG CYREG_PRT2_INTCFG
#define Flex10__0__INTSTAT CYREG_PRT2_INTSTAT
#define Flex10__0__MASK 0x08u
#define Flex10__0__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex10__0__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex10__0__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex10__0__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex10__0__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex10__0__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex10__0__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex10__0__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex10__0__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex10__0__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex10__0__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex10__0__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex10__0__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex10__0__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex10__0__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex10__0__PC CYREG_PRT2_PC
#define Flex10__0__PC2 CYREG_PRT2_PC2
#define Flex10__0__PORT 2u
#define Flex10__0__PS CYREG_PRT2_PS
#define Flex10__0__SHIFT 3u
#define Flex10__DR CYREG_PRT2_DR
#define Flex10__INTCFG CYREG_PRT2_INTCFG
#define Flex10__INTSTAT CYREG_PRT2_INTSTAT
#define Flex10__MASK 0x08u
#define Flex10__PA__CFG0 CYREG_UDB_PA2_CFG0
#define Flex10__PA__CFG1 CYREG_UDB_PA2_CFG1
#define Flex10__PA__CFG10 CYREG_UDB_PA2_CFG10
#define Flex10__PA__CFG11 CYREG_UDB_PA2_CFG11
#define Flex10__PA__CFG12 CYREG_UDB_PA2_CFG12
#define Flex10__PA__CFG13 CYREG_UDB_PA2_CFG13
#define Flex10__PA__CFG14 CYREG_UDB_PA2_CFG14
#define Flex10__PA__CFG2 CYREG_UDB_PA2_CFG2
#define Flex10__PA__CFG3 CYREG_UDB_PA2_CFG3
#define Flex10__PA__CFG4 CYREG_UDB_PA2_CFG4
#define Flex10__PA__CFG5 CYREG_UDB_PA2_CFG5
#define Flex10__PA__CFG6 CYREG_UDB_PA2_CFG6
#define Flex10__PA__CFG7 CYREG_UDB_PA2_CFG7
#define Flex10__PA__CFG8 CYREG_UDB_PA2_CFG8
#define Flex10__PA__CFG9 CYREG_UDB_PA2_CFG9
#define Flex10__PC CYREG_PRT2_PC
#define Flex10__PC2 CYREG_PRT2_PC2
#define Flex10__PORT 2u
#define Flex10__PS CYREG_PRT2_PS
#define Flex10__SHIFT 3u

/* Clock_1 */
#define Clock_1__DIVIDER_MASK 0x0000FFFFu
#define Clock_1__ENABLE CYREG_CLK_DIVIDER_C00
#define Clock_1__ENABLE_MASK 0x80000000u
#define Clock_1__MASK 0x80000000u
#define Clock_1__REGISTER CYREG_CLK_DIVIDER_C00

/* isr_1ms */
#define isr_1ms__INTC_CLR_EN_REG CYREG_CM0_ICER
#define isr_1ms__INTC_CLR_PD_REG CYREG_CM0_ICPR
#define isr_1ms__INTC_MASK 0x01u
#define isr_1ms__INTC_NUMBER 0u
#define isr_1ms__INTC_PRIOR_MASK 0xC0u
#define isr_1ms__INTC_PRIOR_NUM 3u
#define isr_1ms__INTC_PRIOR_REG CYREG_CM0_IPR0
#define isr_1ms__INTC_SET_EN_REG CYREG_CM0_ISER
#define isr_1ms__INTC_SET_PD_REG CYREG_CM0_ISPR

/* ADC_Flex */
#define ADC_Flex_cy_psoc4_sar__SAR_ANA_TRIM CYREG_SAR_ANA_TRIM
#define ADC_Flex_cy_psoc4_sar__SAR_AVG_STAT CYREG_SAR_AVG_STAT
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG00 CYREG_SAR_CHAN_CONFIG00
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG01 CYREG_SAR_CHAN_CONFIG01
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG02 CYREG_SAR_CHAN_CONFIG02
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG03 CYREG_SAR_CHAN_CONFIG03
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG04 CYREG_SAR_CHAN_CONFIG04
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG05 CYREG_SAR_CHAN_CONFIG05
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG06 CYREG_SAR_CHAN_CONFIG06
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG07 CYREG_SAR_CHAN_CONFIG07
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_EN CYREG_SAR_CHAN_EN
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT_VALID CYREG_SAR_CHAN_RESULT_VALID
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT00 CYREG_SAR_CHAN_RESULT00
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT01 CYREG_SAR_CHAN_RESULT01
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT02 CYREG_SAR_CHAN_RESULT02
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT03 CYREG_SAR_CHAN_RESULT03
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT04 CYREG_SAR_CHAN_RESULT04
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT05 CYREG_SAR_CHAN_RESULT05
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT06 CYREG_SAR_CHAN_RESULT06
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT07 CYREG_SAR_CHAN_RESULT07
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK_VALID CYREG_SAR_CHAN_WORK_VALID
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK00 CYREG_SAR_CHAN_WORK00
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK01 CYREG_SAR_CHAN_WORK01
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK02 CYREG_SAR_CHAN_WORK02
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK03 CYREG_SAR_CHAN_WORK03
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK04 CYREG_SAR_CHAN_WORK04
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK05 CYREG_SAR_CHAN_WORK05
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK06 CYREG_SAR_CHAN_WORK06
#define ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK07 CYREG_SAR_CHAN_WORK07
#define ADC_Flex_cy_psoc4_sar__SAR_CTRL CYREG_SAR_CTRL
#define ADC_Flex_cy_psoc4_sar__SAR_DFT_CTRL CYREG_SAR_DFT_CTRL
#define ADC_Flex_cy_psoc4_sar__SAR_INTR CYREG_SAR_INTR
#define ADC_Flex_cy_psoc4_sar__SAR_INTR_CAUSE CYREG_SAR_INTR_CAUSE
#define ADC_Flex_cy_psoc4_sar__SAR_INTR_MASK CYREG_SAR_INTR_MASK
#define ADC_Flex_cy_psoc4_sar__SAR_INTR_MASKED CYREG_SAR_INTR_MASKED
#define ADC_Flex_cy_psoc4_sar__SAR_INTR_SET CYREG_SAR_INTR_SET
#define ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_CLEAR0 CYREG_SAR_MUX_SWITCH_CLEAR0
#define ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_CLEAR1 CYREG_SAR_MUX_SWITCH_CLEAR1
#define ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_HW_CTRL CYREG_SAR_MUX_SWITCH_HW_CTRL
#define ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_STATUS CYREG_SAR_MUX_SWITCH_STATUS
#define ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH0 CYREG_SAR_MUX_SWITCH0
#define ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH1 CYREG_SAR_MUX_SWITCH1
#define ADC_Flex_cy_psoc4_sar__SAR_NUMBER 0u
#define ADC_Flex_cy_psoc4_sar__SAR_PUMP_CTRL CYREG_SAR_PUMP_CTRL
#define ADC_Flex_cy_psoc4_sar__SAR_RANGE_COND CYREG_SAR_RANGE_COND
#define ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR CYREG_SAR_RANGE_INTR
#define ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR_MASK CYREG_SAR_RANGE_INTR_MASK
#define ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR_MASKED CYREG_SAR_RANGE_INTR_MASKED
#define ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR_SET CYREG_SAR_RANGE_INTR_SET
#define ADC_Flex_cy_psoc4_sar__SAR_RANGE_THRES CYREG_SAR_RANGE_THRES
#define ADC_Flex_cy_psoc4_sar__SAR_SAMPLE_CTRL CYREG_SAR_SAMPLE_CTRL
#define ADC_Flex_cy_psoc4_sar__SAR_SAMPLE_TIME01 CYREG_SAR_SAMPLE_TIME01
#define ADC_Flex_cy_psoc4_sar__SAR_SAMPLE_TIME23 CYREG_SAR_SAMPLE_TIME23
#define ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR CYREG_SAR_SATURATE_INTR
#define ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR_MASK CYREG_SAR_SATURATE_INTR_MASK
#define ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR_MASKED CYREG_SAR_SATURATE_INTR_MASKED
#define ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR_SET CYREG_SAR_SATURATE_INTR_SET
#define ADC_Flex_cy_psoc4_sar__SAR_START_CTRL CYREG_SAR_START_CTRL
#define ADC_Flex_cy_psoc4_sar__SAR_STATUS CYREG_SAR_STATUS
#define ADC_Flex_cy_psoc4_sar__SAR_WOUNDING CYREG_SAR_WOUNDING
#define ADC_Flex_intClock__DIVIDER_MASK 0x0000FFFFu
#define ADC_Flex_intClock__ENABLE CYREG_CLK_DIVIDER_B00
#define ADC_Flex_intClock__ENABLE_MASK 0x80000000u
#define ADC_Flex_intClock__MASK 0x80000000u
#define ADC_Flex_intClock__REGISTER CYREG_CLK_DIVIDER_B00
#define ADC_Flex_IRQ__INTC_CLR_EN_REG CYREG_CM0_ICER
#define ADC_Flex_IRQ__INTC_CLR_PD_REG CYREG_CM0_ICPR
#define ADC_Flex_IRQ__INTC_MASK 0x4000u
#define ADC_Flex_IRQ__INTC_NUMBER 14u
#define ADC_Flex_IRQ__INTC_PRIOR_MASK 0xC00000u
#define ADC_Flex_IRQ__INTC_PRIOR_NUM 3u
#define ADC_Flex_IRQ__INTC_PRIOR_REG CYREG_CM0_IPR3
#define ADC_Flex_IRQ__INTC_SET_EN_REG CYREG_CM0_ISER
#define ADC_Flex_IRQ__INTC_SET_PD_REG CYREG_CM0_ISPR

/* Timer_1ms */
#define Timer_1ms_TimerUDB_rstSts_stsreg__0__MASK 0x01u
#define Timer_1ms_TimerUDB_rstSts_stsreg__0__POS 0
#define Timer_1ms_TimerUDB_rstSts_stsreg__2__MASK 0x04u
#define Timer_1ms_TimerUDB_rstSts_stsreg__2__POS 2
#define Timer_1ms_TimerUDB_rstSts_stsreg__3__MASK 0x08u
#define Timer_1ms_TimerUDB_rstSts_stsreg__3__POS 3
#define Timer_1ms_TimerUDB_rstSts_stsreg__MASK 0x0Du
#define Timer_1ms_TimerUDB_rstSts_stsreg__MASK_REG CYREG_UDB_W8_MSK_03
#define Timer_1ms_TimerUDB_rstSts_stsreg__MASK_ST_AUX_CTL_REG CYREG_UDB_CAT16_ACTL_MSK_03
#define Timer_1ms_TimerUDB_rstSts_stsreg__PER_ST_AUX_CTL_REG CYREG_UDB_CAT16_ACTL_MSK_03
#define Timer_1ms_TimerUDB_rstSts_stsreg__STATUS_AUX_CTL_REG CYREG_UDB_W8_ACTL_03
#define Timer_1ms_TimerUDB_rstSts_stsreg__STATUS_CNT_REG CYREG_UDB_CAT16_CTL_ST_03
#define Timer_1ms_TimerUDB_rstSts_stsreg__STATUS_CONTROL_REG CYREG_UDB_CAT16_CTL_ST_03
#define Timer_1ms_TimerUDB_rstSts_stsreg__STATUS_REG CYREG_UDB_W8_ST_03
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK 0x80u
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS 7
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_UDB_W8_ACTL_03
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG CYREG_UDB_W8_CTL_03
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG CYREG_UDB_CAT16_CTL_ST_03
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG CYREG_UDB_W8_CTL_03
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG CYREG_UDB_CAT16_CTL_ST_03
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK 0x80u
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_UDB_CAT16_ACTL_MSK_03
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_UDB_CAT16_ACTL_MSK_03
#define Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG CYREG_UDB_W8_MSK_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_A0_REG CYREG_UDB_W16_A0_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_A1_REG CYREG_UDB_W16_A1_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_D0_REG CYREG_UDB_W16_D0_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_D1_REG CYREG_UDB_W16_D1_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_DP_AUX_CTL_REG CYREG_UDB_W16_ACTL_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_F0_REG CYREG_UDB_W16_F0_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_F1_REG CYREG_UDB_W16_F1_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__A0_A1_REG CYREG_UDB_CAT16_A_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__A0_REG CYREG_UDB_W8_A0_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__A1_REG CYREG_UDB_W8_A1_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__D0_D1_REG CYREG_UDB_CAT16_D_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__D0_REG CYREG_UDB_W8_D0_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__D1_REG CYREG_UDB_W8_D1_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__DP_AUX_CTL_REG CYREG_UDB_W8_ACTL_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__F0_F1_REG CYREG_UDB_CAT16_F_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__F0_REG CYREG_UDB_W8_F0_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u0__F1_REG CYREG_UDB_W8_F1_02
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__A0_A1_REG CYREG_UDB_CAT16_A_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__A0_REG CYREG_UDB_W8_A0_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__A1_REG CYREG_UDB_W8_A1_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__D0_D1_REG CYREG_UDB_CAT16_D_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__D0_REG CYREG_UDB_W8_D0_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__D1_REG CYREG_UDB_W8_D1_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__DP_AUX_CTL_REG CYREG_UDB_W8_ACTL_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__F0_F1_REG CYREG_UDB_CAT16_F_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__F0_REG CYREG_UDB_W8_F0_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__F1_REG CYREG_UDB_W8_F1_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__MSK_DP_AUX_CTL_REG CYREG_UDB_CAT16_ACTL_MSK_03
#define Timer_1ms_TimerUDB_sT16_timerdp_u1__PER_DP_AUX_CTL_REG CYREG_UDB_CAT16_ACTL_MSK_03

/* EZI2C_Flex */
#define EZI2C_Flex_SCB__BIST_CONTROL CYREG_SCB0_BIST_CONTROL
#define EZI2C_Flex_SCB__BIST_DATA CYREG_SCB0_BIST_DATA
#define EZI2C_Flex_SCB__CTRL CYREG_SCB0_CTRL
#define EZI2C_Flex_SCB__EZ_DATA00 CYREG_SCB0_EZ_DATA00
#define EZI2C_Flex_SCB__EZ_DATA01 CYREG_SCB0_EZ_DATA01
#define EZI2C_Flex_SCB__EZ_DATA02 CYREG_SCB0_EZ_DATA02
#define EZI2C_Flex_SCB__EZ_DATA03 CYREG_SCB0_EZ_DATA03
#define EZI2C_Flex_SCB__EZ_DATA04 CYREG_SCB0_EZ_DATA04
#define EZI2C_Flex_SCB__EZ_DATA05 CYREG_SCB0_EZ_DATA05
#define EZI2C_Flex_SCB__EZ_DATA06 CYREG_SCB0_EZ_DATA06
#define EZI2C_Flex_SCB__EZ_DATA07 CYREG_SCB0_EZ_DATA07
#define EZI2C_Flex_SCB__EZ_DATA08 CYREG_SCB0_EZ_DATA08
#define EZI2C_Flex_SCB__EZ_DATA09 CYREG_SCB0_EZ_DATA09
#define EZI2C_Flex_SCB__EZ_DATA10 CYREG_SCB0_EZ_DATA10
#define EZI2C_Flex_SCB__EZ_DATA11 CYREG_SCB0_EZ_DATA11
#define EZI2C_Flex_SCB__EZ_DATA12 CYREG_SCB0_EZ_DATA12
#define EZI2C_Flex_SCB__EZ_DATA13 CYREG_SCB0_EZ_DATA13
#define EZI2C_Flex_SCB__EZ_DATA14 CYREG_SCB0_EZ_DATA14
#define EZI2C_Flex_SCB__EZ_DATA15 CYREG_SCB0_EZ_DATA15
#define EZI2C_Flex_SCB__EZ_DATA16 CYREG_SCB0_EZ_DATA16
#define EZI2C_Flex_SCB__EZ_DATA17 CYREG_SCB0_EZ_DATA17
#define EZI2C_Flex_SCB__EZ_DATA18 CYREG_SCB0_EZ_DATA18
#define EZI2C_Flex_SCB__EZ_DATA19 CYREG_SCB0_EZ_DATA19
#define EZI2C_Flex_SCB__EZ_DATA20 CYREG_SCB0_EZ_DATA20
#define EZI2C_Flex_SCB__EZ_DATA21 CYREG_SCB0_EZ_DATA21
#define EZI2C_Flex_SCB__EZ_DATA22 CYREG_SCB0_EZ_DATA22
#define EZI2C_Flex_SCB__EZ_DATA23 CYREG_SCB0_EZ_DATA23
#define EZI2C_Flex_SCB__EZ_DATA24 CYREG_SCB0_EZ_DATA24
#define EZI2C_Flex_SCB__EZ_DATA25 CYREG_SCB0_EZ_DATA25
#define EZI2C_Flex_SCB__EZ_DATA26 CYREG_SCB0_EZ_DATA26
#define EZI2C_Flex_SCB__EZ_DATA27 CYREG_SCB0_EZ_DATA27
#define EZI2C_Flex_SCB__EZ_DATA28 CYREG_SCB0_EZ_DATA28
#define EZI2C_Flex_SCB__EZ_DATA29 CYREG_SCB0_EZ_DATA29
#define EZI2C_Flex_SCB__EZ_DATA30 CYREG_SCB0_EZ_DATA30
#define EZI2C_Flex_SCB__EZ_DATA31 CYREG_SCB0_EZ_DATA31
#define EZI2C_Flex_SCB__I2C_CFG CYREG_SCB0_I2C_CFG
#define EZI2C_Flex_SCB__I2C_CTRL CYREG_SCB0_I2C_CTRL
#define EZI2C_Flex_SCB__I2C_M_CMD CYREG_SCB0_I2C_M_CMD
#define EZI2C_Flex_SCB__I2C_S_CMD CYREG_SCB0_I2C_S_CMD
#define EZI2C_Flex_SCB__I2C_STATUS CYREG_SCB0_I2C_STATUS
#define EZI2C_Flex_SCB__INTR_CAUSE CYREG_SCB0_INTR_CAUSE
#define EZI2C_Flex_SCB__INTR_I2C_EC CYREG_SCB0_INTR_I2C_EC
#define EZI2C_Flex_SCB__INTR_I2C_EC_MASK CYREG_SCB0_INTR_I2C_EC_MASK
#define EZI2C_Flex_SCB__INTR_I2C_EC_MASKED CYREG_SCB0_INTR_I2C_EC_MASKED
#define EZI2C_Flex_SCB__INTR_M CYREG_SCB0_INTR_M
#define EZI2C_Flex_SCB__INTR_M_MASK CYREG_SCB0_INTR_M_MASK
#define EZI2C_Flex_SCB__INTR_M_MASKED CYREG_SCB0_INTR_M_MASKED
#define EZI2C_Flex_SCB__INTR_M_SET CYREG_SCB0_INTR_M_SET
#define EZI2C_Flex_SCB__INTR_RX CYREG_SCB0_INTR_RX
#define EZI2C_Flex_SCB__INTR_RX_MASK CYREG_SCB0_INTR_RX_MASK
#define EZI2C_Flex_SCB__INTR_RX_MASKED CYREG_SCB0_INTR_RX_MASKED
#define EZI2C_Flex_SCB__INTR_RX_SET CYREG_SCB0_INTR_RX_SET
#define EZI2C_Flex_SCB__INTR_S CYREG_SCB0_INTR_S
#define EZI2C_Flex_SCB__INTR_S_MASK CYREG_SCB0_INTR_S_MASK
#define EZI2C_Flex_SCB__INTR_S_MASKED CYREG_SCB0_INTR_S_MASKED
#define EZI2C_Flex_SCB__INTR_S_SET CYREG_SCB0_INTR_S_SET
#define EZI2C_Flex_SCB__INTR_SPI_EC CYREG_SCB0_INTR_SPI_EC
#define EZI2C_Flex_SCB__INTR_SPI_EC_MASK CYREG_SCB0_INTR_SPI_EC_MASK
#define EZI2C_Flex_SCB__INTR_SPI_EC_MASKED CYREG_SCB0_INTR_SPI_EC_MASKED
#define EZI2C_Flex_SCB__INTR_TX CYREG_SCB0_INTR_TX
#define EZI2C_Flex_SCB__INTR_TX_MASK CYREG_SCB0_INTR_TX_MASK
#define EZI2C_Flex_SCB__INTR_TX_MASKED CYREG_SCB0_INTR_TX_MASKED
#define EZI2C_Flex_SCB__INTR_TX_SET CYREG_SCB0_INTR_TX_SET
#define EZI2C_Flex_SCB__RX_CTRL CYREG_SCB0_RX_CTRL
#define EZI2C_Flex_SCB__RX_FIFO_CTRL CYREG_SCB0_RX_FIFO_CTRL
#define EZI2C_Flex_SCB__RX_FIFO_RD CYREG_SCB0_RX_FIFO_RD
#define EZI2C_Flex_SCB__RX_FIFO_RD_SILENT CYREG_SCB0_RX_FIFO_RD_SILENT
#define EZI2C_Flex_SCB__RX_FIFO_STATUS CYREG_SCB0_RX_FIFO_STATUS
#define EZI2C_Flex_SCB__RX_MATCH CYREG_SCB0_RX_MATCH
#define EZI2C_Flex_SCB__SPI_CTRL CYREG_SCB0_SPI_CTRL
#define EZI2C_Flex_SCB__SPI_STATUS CYREG_SCB0_SPI_STATUS
#define EZI2C_Flex_SCB__SS0_POSISTION 0u
#define EZI2C_Flex_SCB__SS1_POSISTION 1u
#define EZI2C_Flex_SCB__SS2_POSISTION 2u
#define EZI2C_Flex_SCB__SS3_POSISTION 3u
#define EZI2C_Flex_SCB__STATUS CYREG_SCB0_STATUS
#define EZI2C_Flex_SCB__TX_CTRL CYREG_SCB0_TX_CTRL
#define EZI2C_Flex_SCB__TX_FIFO_CTRL CYREG_SCB0_TX_FIFO_CTRL
#define EZI2C_Flex_SCB__TX_FIFO_STATUS CYREG_SCB0_TX_FIFO_STATUS
#define EZI2C_Flex_SCB__TX_FIFO_WR CYREG_SCB0_TX_FIFO_WR
#define EZI2C_Flex_SCB__UART_CTRL CYREG_SCB0_UART_CTRL
#define EZI2C_Flex_SCB__UART_RX_CTRL CYREG_SCB0_UART_RX_CTRL
#define EZI2C_Flex_SCB__UART_RX_STATUS CYREG_SCB0_UART_RX_STATUS
#define EZI2C_Flex_SCB__UART_TX_CTRL CYREG_SCB0_UART_TX_CTRL
#define EZI2C_Flex_SCB_IRQ__INTC_CLR_EN_REG CYREG_CM0_ICER
#define EZI2C_Flex_SCB_IRQ__INTC_CLR_PD_REG CYREG_CM0_ICPR
#define EZI2C_Flex_SCB_IRQ__INTC_MASK 0x400u
#define EZI2C_Flex_SCB_IRQ__INTC_NUMBER 10u
#define EZI2C_Flex_SCB_IRQ__INTC_PRIOR_MASK 0xC00000u
#define EZI2C_Flex_SCB_IRQ__INTC_PRIOR_NUM 3u
#define EZI2C_Flex_SCB_IRQ__INTC_PRIOR_REG CYREG_CM0_IPR2
#define EZI2C_Flex_SCB_IRQ__INTC_SET_EN_REG CYREG_CM0_ISER
#define EZI2C_Flex_SCB_IRQ__INTC_SET_PD_REG CYREG_CM0_ISPR
#define EZI2C_Flex_SCBCLK__DIVIDER_MASK 0x0000FFFFu
#define EZI2C_Flex_SCBCLK__ENABLE CYREG_CLK_DIVIDER_A00
#define EZI2C_Flex_SCBCLK__ENABLE_MASK 0x80000000u
#define EZI2C_Flex_SCBCLK__MASK 0x80000000u
#define EZI2C_Flex_SCBCLK__REGISTER CYREG_CLK_DIVIDER_A00
#define EZI2C_Flex_scl__0__DM__MASK 0x07u
#define EZI2C_Flex_scl__0__DM__SHIFT 0u
#define EZI2C_Flex_scl__0__DR CYREG_PRT4_DR
#define EZI2C_Flex_scl__0__HSIOM CYREG_HSIOM_PORT_SEL4
#define EZI2C_Flex_scl__0__HSIOM_GPIO 0u
#define EZI2C_Flex_scl__0__HSIOM_I2C 14u
#define EZI2C_Flex_scl__0__HSIOM_I2C_SCL 14u
#define EZI2C_Flex_scl__0__HSIOM_MASK 0x0000000Fu
#define EZI2C_Flex_scl__0__HSIOM_SHIFT 0u
#define EZI2C_Flex_scl__0__HSIOM_SPI 15u
#define EZI2C_Flex_scl__0__HSIOM_SPI_MOSI 15u
#define EZI2C_Flex_scl__0__HSIOM_UART 9u
#define EZI2C_Flex_scl__0__HSIOM_UART_RX 9u
#define EZI2C_Flex_scl__0__INTCFG CYREG_PRT4_INTCFG
#define EZI2C_Flex_scl__0__INTSTAT CYREG_PRT4_INTSTAT
#define EZI2C_Flex_scl__0__MASK 0x01u
#define EZI2C_Flex_scl__0__PC CYREG_PRT4_PC
#define EZI2C_Flex_scl__0__PC2 CYREG_PRT4_PC2
#define EZI2C_Flex_scl__0__PORT 4u
#define EZI2C_Flex_scl__0__PS CYREG_PRT4_PS
#define EZI2C_Flex_scl__0__SHIFT 0u
#define EZI2C_Flex_scl__DR CYREG_PRT4_DR
#define EZI2C_Flex_scl__INTCFG CYREG_PRT4_INTCFG
#define EZI2C_Flex_scl__INTSTAT CYREG_PRT4_INTSTAT
#define EZI2C_Flex_scl__MASK 0x01u
#define EZI2C_Flex_scl__PC CYREG_PRT4_PC
#define EZI2C_Flex_scl__PC2 CYREG_PRT4_PC2
#define EZI2C_Flex_scl__PORT 4u
#define EZI2C_Flex_scl__PS CYREG_PRT4_PS
#define EZI2C_Flex_scl__SHIFT 0u
#define EZI2C_Flex_sda__0__DM__MASK 0x38u
#define EZI2C_Flex_sda__0__DM__SHIFT 3u
#define EZI2C_Flex_sda__0__DR CYREG_PRT4_DR
#define EZI2C_Flex_sda__0__HSIOM CYREG_HSIOM_PORT_SEL4
#define EZI2C_Flex_sda__0__HSIOM_GPIO 0u
#define EZI2C_Flex_sda__0__HSIOM_I2C 14u
#define EZI2C_Flex_sda__0__HSIOM_I2C_SDA 14u
#define EZI2C_Flex_sda__0__HSIOM_MASK 0x000000F0u
#define EZI2C_Flex_sda__0__HSIOM_SHIFT 4u
#define EZI2C_Flex_sda__0__HSIOM_SPI 15u
#define EZI2C_Flex_sda__0__HSIOM_SPI_MISO 15u
#define EZI2C_Flex_sda__0__HSIOM_UART 9u
#define EZI2C_Flex_sda__0__HSIOM_UART_TX 9u
#define EZI2C_Flex_sda__0__INTCFG CYREG_PRT4_INTCFG
#define EZI2C_Flex_sda__0__INTSTAT CYREG_PRT4_INTSTAT
#define EZI2C_Flex_sda__0__MASK 0x02u
#define EZI2C_Flex_sda__0__PC CYREG_PRT4_PC
#define EZI2C_Flex_sda__0__PC2 CYREG_PRT4_PC2
#define EZI2C_Flex_sda__0__PORT 4u
#define EZI2C_Flex_sda__0__PS CYREG_PRT4_PS
#define EZI2C_Flex_sda__0__SHIFT 1u
#define EZI2C_Flex_sda__DR CYREG_PRT4_DR
#define EZI2C_Flex_sda__INTCFG CYREG_PRT4_INTCFG
#define EZI2C_Flex_sda__INTSTAT CYREG_PRT4_INTSTAT
#define EZI2C_Flex_sda__MASK 0x02u
#define EZI2C_Flex_sda__PC CYREG_PRT4_PC
#define EZI2C_Flex_sda__PC2 CYREG_PRT4_PC2
#define EZI2C_Flex_sda__PORT 4u
#define EZI2C_Flex_sda__PS CYREG_PRT4_PS
#define EZI2C_Flex_sda__SHIFT 1u

/* Miscellaneous */
#define CY_PROJECT_NAME "Smart Gloves"
#define CY_VERSION "PSoC Creator  4.4"
#define CYDEV_BANDGAP_VOLTAGE 1.024
#define CYDEV_BCLK__HFCLK__HZ 24000000U
#define CYDEV_BCLK__HFCLK__KHZ 24000U
#define CYDEV_BCLK__HFCLK__MHZ 24U
#define CYDEV_BCLK__SYSCLK__HZ 24000000U
#define CYDEV_BCLK__SYSCLK__KHZ 24000U
#define CYDEV_BCLK__SYSCLK__MHZ 24U
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PSOC4A 26u
#define CYDEV_CHIP_DIE_PSOC5LP 2u
#define CYDEV_CHIP_DIE_PSOC5TM 3u
#define CYDEV_CHIP_DIE_TMA4 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_FM0P 5u
#define CYDEV_CHIP_FAMILY_FM3 6u
#define CYDEV_CHIP_FAMILY_FM4 7u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_PSOC6 4u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC4
#define CYDEV_CHIP_JTAG_ID 0x04A61193u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 26u
#define CYDEV_CHIP_MEMBER_4AA 25u
#define CYDEV_CHIP_MEMBER_4AB 30u
#define CYDEV_CHIP_MEMBER_4AC 14u
#define CYDEV_CHIP_MEMBER_4AD 15u
#define CYDEV_CHIP_MEMBER_4AE 16u
#define CYDEV_CHIP_MEMBER_4D 20u
#define CYDEV_CHIP_MEMBER_4E 6u
#define CYDEV_CHIP_MEMBER_4F 27u
#define CYDEV_CHIP_MEMBER_4G 4u
#define CYDEV_CHIP_MEMBER_4H 24u
#define CYDEV_CHIP_MEMBER_4I 32u
#define CYDEV_CHIP_MEMBER_4J 21u
#define CYDEV_CHIP_MEMBER_4K 22u
#define CYDEV_CHIP_MEMBER_4L 31u
#define CYDEV_CHIP_MEMBER_4M 29u
#define CYDEV_CHIP_MEMBER_4N 11u
#define CYDEV_CHIP_MEMBER_4O 8u
#define CYDEV_CHIP_MEMBER_4P 28u
#define CYDEV_CHIP_MEMBER_4Q 17u
#define CYDEV_CHIP_MEMBER_4R 9u
#define CYDEV_CHIP_MEMBER_4S 12u
#define CYDEV_CHIP_MEMBER_4T 10u
#define CYDEV_CHIP_MEMBER_4U 5u
#define CYDEV_CHIP_MEMBER_4V 23u
#define CYDEV_CHIP_MEMBER_4W 13u
#define CYDEV_CHIP_MEMBER_4X 7u
#define CYDEV_CHIP_MEMBER_4Y 18u
#define CYDEV_CHIP_MEMBER_4Z 19u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_5B 2u
#define CYDEV_CHIP_MEMBER_6A 33u
#define CYDEV_CHIP_MEMBER_FM3 37u
#define CYDEV_CHIP_MEMBER_FM4 38u
#define CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1 34u
#define CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2 35u
#define CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3 36u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_4A
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REV_PSOC5TM_ES0 0u
#define CYDEV_CHIP_REV_PSOC5TM_ES1 1u
#define CYDEV_CHIP_REV_PSOC5TM_PRODUCTION 1u
#define CYDEV_CHIP_REV_TMA4_ES 17u
#define CYDEV_CHIP_REV_TMA4_ES2 33u
#define CYDEV_CHIP_REV_TMA4_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4AA_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4AB_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4AC_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4AD_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4AE_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_CCG2_NO_USBPD 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4H_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4I_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4J_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4K_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4N_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4O_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4P_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4Q_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4R_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4S_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4T_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4U_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4V_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4W_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4X_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4Y_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4Z_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_6A_ES 17u
#define CYDEV_CHIP_REVISION_6A_NO_UDB 33u
#define CYDEV_CHIP_REVISION_6A_PRODUCTION 33u
#define CYDEV_CHIP_REVISION_FM3_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_FM4_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_4A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_READ_ACCELERATOR 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_Disallowed
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_PROTECT_KILL 4
#define CYDEV_DEBUG_PROTECT_OPEN 1
#define CYDEV_DEBUG_PROTECT CYDEV_DEBUG_PROTECT_OPEN
#define CYDEV_DEBUG_PROTECT_PROTECTED 2
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DFT_SELECT_CLK0 1u
#define CYDEV_DFT_SELECT_CLK1 2u
#define CYDEV_HEAP_SIZE 0x80
#define CYDEV_IMO_TRIMMED_BY_USB 0u
#define CYDEV_IMO_TRIMMED_BY_WCO 0u
#define CYDEV_IS_EXPORTING_CODE 0
#define CYDEV_IS_IMPORTING_CODE 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_STACK_SIZE 0x0400
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 1
#define CYDEV_VDD 3.3
#define CYDEV_VDD_MV 3300
#define CYDEV_WDT_GENERATE_ISR 1u
#define CYIPBLOCK_M0S8_CTBM_VERSION 0
#define CYIPBLOCK_m0s8cpuss_VERSION 0
#define CYIPBLOCK_m0s8csd_VERSION 0
#define CYIPBLOCK_m0s8gpio2_VERSION 0
#define CYIPBLOCK_m0s8hsiom4a_VERSION 0
#define CYIPBLOCK_m0s8lcd_VERSION 0
#define CYIPBLOCK_m0s8lpcomp_VERSION 0
#define CYIPBLOCK_m0s8pclk_VERSION 0
#define CYIPBLOCK_m0s8sar_VERSION 0
#define CYIPBLOCK_m0s8scb_VERSION 0
#define CYIPBLOCK_m0s8srssv2_VERSION 1
#define CYIPBLOCK_m0s8tcpwm_VERSION 0
#define CYIPBLOCK_m0s8udbif_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 2
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
